.\"	$NetBSD: locate.1,v 1.15 2004/04/19 00:32:44 lukem Exp $
.\"
.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)locate.1	8.1 (Berkeley) 6/6/93
.\"
.Dd April 19, 2004
.Dt LOCATE 1
.Os
.Sh NAME
.Nm locate
.Nd find files
.Sh SYNOPSIS
.Nm
.Op Fl d Ar dbpath
.Ar pattern
.Sh DESCRIPTION
.Nm
searches a database for all pathnames which match the specified
.Ar pattern  .
The database is recomputed periodically, and contains the pathnames
of all files which are publicly accessible.
.Pp
Shell globbing and quoting characters (``*'', ``?'', ``\e'', ``[''
and ``]'')
may be used in
.Ar pattern  ,
although they will have to be escaped from the shell.
Preceding any character with a backslash (``\e'') eliminates any special
meaning which it may have.
The matching differs in that no characters must be matched explicitly,
including slashes (``/'').
.Pp
As a special case, a pattern containing no globbing characters (``foo'')
is matched as though it were ``*foo*''.
.Pp
Options:
.Bl -tag -width flag
.It Fl d Ar dbpath
Sets the list of databases to search to
.Ar dbpath
which can name one or more database files separated by ``:'',
an empty component in the list represents the default database.
The environment variable
.Ar LOCATE_PATH
has the same effect.
.El
.Sh EXIT STATUS
.Nm
exits with a 0 if a match is found, and \*[Gt]0 if no match is found or if
another problem (such as a missing or corrupted database file) is
encountered.
.Sh FILES
.Bl -tag -width /usr/libexec/locate.updatedb -compact
.It Pa /var/db/locate.database
Default database
.El
.Sh SEE ALSO
.Xr find 1 ,
.Xr fnmatch 3 ,
.Xr locate.conf 5 ,
.Xr weekly.conf 5 ,
.Xr locate.updatedb 8
.Rs
.%A Woods, James A.
.%D 1983
.%T "Finding Files Fast"
.%J ";login"
.%V 8:1
.%P pp. 8-10
.Re
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.4 .
